| ## Public API Reference

- Main Page
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# celVariableParameterBlock Class Reference

Variable parameter block implementation. More...

`#include <celtool/stdparams.h>`

Inheritance diagram for celVariableParameterBlock:

[legend]
List of all members.

## Public Member Functions
| celVariableParameterBlock (iCelParameterBlock *other)
| Copy constructor.
| celVariableParameterBlock ()
virtual const celData * | GetParameter (csStringID id) const
| Get parameter given an id.
virtual const char * | GetParameter (size_t idx, csStringID &id, celDataType &t) const
| Get parameter with index.
celData & | GetParameter (size_t idx)
virtual size_t | GetParameterCount () const
| Get number of parameters.
void | SetParameterDef (size_t idx, csStringID id, const char *parname)
virtual | ~celVariableParameterBlock ()
## Public Attributes
| SCF_DECLARE_IBASE

## Detailed Description

Variable parameter block implementation.

Definition at line 145 of file stdparams.h.

## Constructor & Destructor Documentation

celVariableParameterBlock::celVariableParameterBlock | ( | iCelParameterBlock * | other | ) | `[inline]`

| Copy constructor. Definition at line 160 of file stdparams.h. References iCelParameterBlock::GetParameter(), iCelParameterBlock::GetParameterCount(), and SetParameterDef().

## Member Function Documentation

virtual const celData* celVariableParameterBlock::GetParameter | ( | csStringID | id | ) | const`[inline, virtual]`

| Get parameter given an id. Implements iCelParameterBlock. Definition at line 206 of file stdparams.h.

virtual const char* celVariableParameterBlock::GetParameter | ( | size_t | idx,
|  | csStringID & | id,
|  | celDataType & | t
| ) | const`[inline, virtual]`

| Get parameter with index. Returns the name and sets 'id' and 'type' to the appropriate values. Implements iCelParameterBlock. Definition at line 193 of file stdparams.h.

virtual size_t celVariableParameterBlock::GetParameterCount | ( |  | ) | const`[inline, virtual]`

| Get number of parameters. Implements iCelParameterBlock. Definition at line 192 of file stdparams.h.

The documentation for this class was generated from the following file:

- celtool/stdparams.h